<!DOCTYPE html>
<%@ page contentType="text/html; charset=utf-8" pageEncoding="utf-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%
	// 입력변수
	String poOrdNo = request.getParameter("poOrdNo"); 
	String ordNm = request.getParameter("ordNm");
	String goodsNm = request.getParameter("goodsNm");
	String kiccJavascriptUrl = request.getParameter("kiccJavascriptUrl");
	String kiccActionWebUrl = request.getParameter("kiccActionWebUrl");
	String mallId = request.getParameter("mallId");
	String ordTel = request.getParameter("ordTel");
	String ordEmail = request.getParameter("ordEmail");
	String payMethod = request.getParameter("payMethod");
	String goodsAmt = request.getParameter("goodsAmt");
	String brandNm = request.getParameter("brandNm");
	
	String EP_return_url = request.getRequestURL().toString().replaceAll("oqpo_order.jsp", "oqpo_order_res.jsp");
%>
<c:set var="contextPath" value="${pageContext.request.contextPath}" /> 
<html lang="ko" xmlns="http://www.w3.org/1999/xhtml">
<head>
<script src="${contextPath}/js/jquery.min.js"></script>
<script src="${contextPath}/easypay/web/js/default.js" type="text/javascript"></script>
<script src="<%= kiccJavascriptUrl %>" type="text/javascript"></script>
</head>

<body id="subpage" class="page-8">
    
	<form name="frm_pay" id="frm_pay" method="post" action="">
	<input type="hidden" id="kiccActionWebUrl" 	name="kiccActionWebUrl"		value="<%= kiccActionWebUrl %>">       
	
	<!-- WEB -->
	
	<!--------------------------->
	<!-- ::: 공통 인증 요청 값 -->
	<!--------------------------->
	
	<input type="hidden" id="EP_mall_nm"        name="EP_mall_nm"           value="<%= brandNm %>">         <!-- 가맹점명-->
	<input type="hidden" id="EP_currency"       name="EP_currency"          value="00">       <!-- 통화코드 // 00 : 원화-->
	<input type="hidden" id="EP_return_url"     name="EP_return_url"        value="<%= EP_return_url %>">         <!-- 가맹점 CALLBACK URL // -->
	<input type="hidden" id="EP_ci_url"         name="EP_ci_url"            value="">         <!-- CI LOGO URL // -->
	<input type="hidden" id="EP_lang_flag"      name="EP_lang_flag"         value="KOR">         <!-- 언어 // -->
	<input type="hidden" id="EP_charset"        name="EP_charset"           value="UTF-8">   <!-- 가맹점 CharSet // EUC-KR,UTF-8 사용시 대문자 이용-->
	<input type="hidden" id="EP_user_id"        name="EP_user_id"           value="">         <!-- 가맹점 고객ID // -->
	<input type="hidden" id="EP_memb_user_no"   name="EP_memb_user_no"      value="">         <!-- 가맹점 고객일련번호 // -->
	<input type="hidden" id="EP_user_nm"        name="EP_user_nm"           value="<%= ordNm %>">         	<!-- 가맹점 고객명 // -->
	<input type="hidden" id="EP_user_mail"      name="EP_user_mail"         value="<%= ordEmail %>">        <!-- 가맹점 고객 E-mail // -->
	<input type="hidden" id="EP_user_phone1"    name="EP_user_phone1"       value="<%= ordTel %>">         <!-- 가맹점 고객 연락처1 // -->
	<input type="hidden" id="EP_user_phone2"    name="EP_user_phone2"       value="">         <!-- 가맹점 고객 연락처2 // -->
	<input type="hidden" id="EP_user_addr"      name="EP_user_addr"         value="">         <!-- 가맹점 고객 주소 // -->
	<input type="hidden" id="EP_user_define1"   name="EP_user_define1"      value="">         <!-- 가맹점 필드1 // -->
	<input type="hidden" id="EP_user_define2"   name="EP_user_define2"      value="">         <!-- 가맹점 필드2 // -->
	<input type="hidden" id="EP_user_define3"   name="EP_user_define3"      value="">         <!-- 가맹점 필드3 // -->
	<input type="hidden" id="EP_user_define4"   name="EP_user_define4"      value="">         <!-- 가맹점 필드4 // -->
	<input type="hidden" id="EP_user_define5"   name="EP_user_define5"      value="">         <!-- 가맹점 필드5 // -->
	<input type="hidden" id="EP_user_define6"   name="EP_user_define6"      value="">         <!-- 가맹점 필드6 // -->
	<input type="hidden" id="EP_product_type"   name="EP_product_type"      value="0">        <!-- 상품정보구분 // -->
	<input type="hidden" id="EP_product_expr"   name="EP_product_expr"      value="">         <!-- 서비스 기간 // (YYYYMMDD) -->
	<input type="hidden" id="EP_disp_cash_yn"   name="EP_disp_cash_yn"      value="">         <!-- 현금영수증 화면표시여부 //미표시 : "N", 그외: DB조회 -->
	
	
	<!--------------------------->
	<!-- ::: 카드 인증 요청 값 -->
	<!--------------------------->
	
	<input type="hidden" id="EP_usedcard_code"      name="EP_usedcard_code"     value="">      <!-- 사용가능한 카드 LIST // FORMAT->카드코드:카드코드: ... :카드코드 EXAMPLE->029:027:031 // 빈값 : DB조회-->
	<input type="hidden" id="EP_quota"              name="EP_quota"             value="">      <!-- 할부개월 (카드코드-할부개월) -->
	<input type="hidden" id="EP_os_cert_flag"       name="EP_os_cert_flag"      value="2">     <!-- 해외안심클릭 사용여부(변경불가) // -->
	<input type="hidden" id="EP_noinst_flag"        name="EP_noinst_flag"       value="">      <!-- 무이자 여부 (Y/N) // -->
	<input type="hidden" id="EP_noinst_term"        name="EP_noinst_term"       value="">      <!-- 무이자 기간 (카드코드-더할할부개월) // -->
	<input type="hidden" id="EP_set_point_card_yn"  name="EP_set_point_card_yn" value="">      <!-- 카드사포인트 사용여부 (Y/N) // -->
	<input type="hidden" id="EP_point_card"         name="EP_point_card"        value="">      <!-- 포인트카드 LIST  // -->
	<input type="hidden" id="EP_join_cd"            name="EP_join_cd"           value="">      <!-- 조인코드 // -->
	<input type="hidden" id="EP_kmotion_useyn"      name="EP_kmotion_useyn"     value="Y">     <!-- 국민앱카드 사용유무 (Y/N)// -->
	
	<!------------------------------->
	<!-- ::: 가상계좌 인증 요청 값 -->
	<!------------------------------->
	
	<input type="hidden" id="EP_vacct_bank"         name="EP_vacct_bank"        value="">      <!-- 가상계좌 사용가능한 은행 LIST // -->
	<input type="hidden" id="EP_vacct_end_date"     name="EP_vacct_end_date"    value="">      <!-- 입금 만료 날짜 // -->
	<input type="hidden" id="EP_vacct_end_time"     name="EP_vacct_end_time"    value="">      <!-- 입금 만료 시간 // -->
	
	<!------------------------------->
	<!-- ::: 선불카드 인증 요청 값 -->
	<!------------------------------->
	
	<input type="hidden" id="EP_prepaid_cp"         name="EP_prepaid_cp"        value="">      <!-- 선불카드 CP // FORMAT->코드:코드: ... :코드 EXAMPLE->CCB:ECB // 빈값 : DB조회-->
	
	<!--------------------------------->
	<!-- ::: 인증응답용 인증 요청 값 -->
	<!--------------------------------->
	
	<input type="hidden" id="EP_res_cd"             name="EP_res_cd"            value="">      <!--  응답코드 // -->
	<input type="hidden" id="EP_res_msg"            name="EP_res_msg"           value="">      <!--  응답메세지 // -->
	<input type="hidden" id="EP_tr_cd"              name="EP_tr_cd"             value="">      <!--  결제창 요청구분 // -->
	<input type="hidden" id="EP_ret_pay_type"       name="EP_ret_pay_type"      value="">      <!--  결제수단 // -->
	<input type="hidden" id="EP_ret_complex_yn"     name="EP_ret_complex_yn"    value="">      <!--  복합결제 여부 (Y/N) // -->
	<input type="hidden" id="EP_card_code"          name="EP_card_code"         value="">      <!--  카드코드 (ISP:KVP카드코드 MPI:카드코드) // -->
	<input type="hidden" id="EP_eci_code"           name="EP_eci_code"          value="">      <!--  MPI인 경우 ECI코드 // -->
	<input type="hidden" id="EP_card_req_type"      name="EP_card_req_type"     value="">      <!--  거래구분 // -->
	<input type="hidden" id="EP_save_useyn"         name="EP_save_useyn"        value="">      <!--  카드사 세이브 여부 (Y/N) // -->
	<input type="hidden" id="EP_trace_no"           name="EP_trace_no"          value="">      <!--  추적번호 // -->
	<input type="hidden" id="EP_sessionkey"         name="EP_sessionkey"        value="">      <!--  세션키 // -->
	<input type="hidden" id="EP_encrypt_data"       name="EP_encrypt_data"      value="">      <!--  암호화전문 // -->
	<input type="hidden" id="EP_spay_cp"            name="EP_spay_cp"           value="">      <!--  간편결제 CP 코드 // -->
	<input type="hidden" id="EP_card_prefix"        name="EP_card_prefix"       value="">      <!--  신용카드prefix // -->
	<input type="hidden" id="EP_card_no_7"          name="EP_card_no_7"         value="">      <!--  신용카드번호 앞7자리 // -->
	
	<!--------------------------------->
	<!-- ::: 가맹점 정보 -->
	<!--------------------------------->
	
	<input type="hidden" id="EP_mall_id"          name="EP_mall_id"         value="<%= mallId %>">      <!--  가맹점ID // -->
	
	<!--------------------------------->
	<!-- ::: 결제 정보 -->
	<!--------------------------------->
	
	<input type="hidden" id="EP_pay_type"          	  name="EP_pay_type"           value="<%= payMethod %>">      <!--  결제수단 // -->
	<input type="hidden" id="EP_window_type"          name="EP_window_type"        value="popup">      <!--  윈도우타입 (iframe[default], popup) // -->
	<input type="hidden" id="EP_cert_type"            name="EP_cert_type"          value="">      		<!--  인증타입 (일반-"", 인증-"21", 비인증-"22") // -->
	
	<!--------------------------------->
	<!-- ::: 주문 정보 -->
	<!--------------------------------->
	
	<input type="hidden" id="EP_order_no"         	 name="EP_order_no"          value="<%= poOrdNo %>">      	<!--  주문번호 // -->
	<input type="hidden" id="EP_product_nm"          name="EP_product_nm"        value="<%= goodsNm %>">      	<!--  상품명 // -->
	<input type="hidden" id="EP_product_amt"         name="EP_product_amt"       value="<%= goodsAmt %>">      	<!--  상품금액 // -->
	
	<!-- // WEB END -->
	
	<!-- MOBILE -->
	<!-- [START] 인증요청 필드 -->     <!--  <table>내에도 일부 파라미터 존재합니다.-->
	      
	<!--------------------------->
	<!-- ::: 공통 인증 요청 값 -->
	<!--------------------------->
	<input type="hidden" id="sp_mall_nm"           name="sp_mall_nm"           value="<%= brandNm %>" />               <!--[선택]가맹점명 -->
	<input type="hidden" id="sp_order_no"          name="sp_order_no"          value="<%= poOrdNo %>" />               <!--[필수]가맹점 주문번호(인증응답) -->  
	<input type="hidden" id="sp_currency"          name="sp_currency"          value="00" />             <!--[필수]통화코드(수정불가) -->        
	<input type="hidden" id="sp_return_url"        name="sp_return_url"        value="<%= EP_return_url %>" />         <!--[필수]가맹점 return URL -->
	<input type="hidden" id="sp_lang_flag"         name="sp_lang_flag"         value="KOR" />               <!--[선택]언어 -->
	<input type="hidden" id="sp_charset"           name="sp_charset"           value="UTF-8" />          <!--[선택]가맹점 charset -->  
	<input type="hidden" id="sp_user_id"           name="sp_user_id"           value="" />               <!--[선택]가맹점 고객ID -->
	<input type="hidden" id="sp_memb_user_no"      name="sp_memb_user_no"      value="" />               <!--[선택]가맹점 고객일련번호 -->
	<input type="hidden" id="sp_user_nm"           name="sp_user_nm"           value="<%= ordNm %>" />           	<!--[선택]가맹점 고객명 -->
	<input type="hidden" id="sp_user_mail"         name="sp_user_mail"         value="<%= ordEmail %>" />           <!--[선택]가맹점 고객 E-mail -->
	<input type="hidden" id="sp_user_phone1"       name="sp_user_phone1"       value="<%= ordTel %>" />             <!--[선택]가맹점 고객 연락처1 -->
	<input type="hidden" id="sp_user_phone2"       name="sp_user_phone2"       value="" />               <!--[선택]가맹점 고객 연락처2 -->
	<input type="hidden" id="sp_user_addr"         name="sp_user_addr"         value="" />               <!--[선택]가맹점 고객 주소 -->
	<input type="hidden" id="sp_user_define1"      name="sp_user_define1"      value="" />               <!--[선택]가맹점 필드1 -->
	<input type="hidden" id="sp_user_define2"      name="sp_user_define2"      value="" />               <!--[선택]가맹점 필드2 -->
	<input type="hidden" id="sp_user_define3"      name="sp_user_define3"      value="" />               <!--[선택]가맹점 필드3 -->
	<input type="hidden" id="sp_user_define4"      name="sp_user_define4"      value="" />               <!--[선택]가맹점 필드4 -->
	<input type="hidden" id="sp_user_define5"      name="sp_user_define5"      value="" />               <!--[선택]가맹점 필드5 -->
	<input type="hidden" id="sp_user_define6"      name="sp_user_define6"      value="" />               <!--[선택]가맹점 필드6 -->
	<input type="hidden" id="sp_product_type"      name="sp_product_type"      value="" />               <!--[선택]상품정보구분 -->
	<input type="hidden" id="sp_product_expr"      name="sp_product_expr"      value="" />               <!--[선택]서비스 기간 -->
	<input type="hidden" id="sp_app_scheme"        name="sp_app_scheme"        value="" />               <!--[선택]가맹점 APP scheme -->  
	
	<input type="hidden" id="sp_mall_id"		   name="sp_mall_id"		   value="<%= mallId %>" />               <!--[필수]가맹점 ID -->
	<input type="hidden" id="sp_pay_type"      	   name="sp_pay_type"   	   value="<%= payMethod %>" />            <!--[필수]결제수단 -->
	<input type="hidden" id="sp_cert_type"	       name="sp_cert_type"   	   value="" />               <!--[선택]인증타입 -->
	<input type="hidden" id="sp_product_nm"    	   name="sp_product_nm"   	   value="<%= goodsNm %>" />              <!--[필수]상품명 -->
	<input type="hidden" id="sp_product_amt"   	   name="sp_product_amt"       value="<%= goodsAmt %>" />             <!--[필수]상품금액 -->
	<input type="hidden" id="sp_window_type"       name="sp_window_type"       value="" />               <!--[선택]윈도우타입 -->
	<input type="hidden" id="sp_disp_cash_yn"      name="sp_disp_cash_yn"      value="" />               <!--[선택]현금영수증 화면표시여부 -->  
	<input type="hidden" id="sp_kmotion_useyn"     name="sp_kmotion_useyn"     value="" />               <!--[선택]국민앱카드 사용유무 --> 
	
	                                                                                                     
	<!--신용카드-->                                                                                      
	<input type="hidden" id="sp_usedcard_code"     name="sp_usedcard_code"     value="" />               <!--[선택]사용가능카드 LIST -->
	<input type="hidden" id="sp_quota"             name="sp_quota"             value="" />               <!--[선택]할부개월 -->
	<input type="hidden" id="sp_os_cert_flag"      name="sp_os_cert_flag"      value="2" />               <!--[선택]해외안심클릭 사용여부-->
	<input type="hidden" id="sp_noinst_flag"       name="sp_noinst_flag"       value="" />               <!--[선택]무이자 여부(Y/N)-->
	<input type="hidden" id="sp_noinst_term"       name="sp_noinst_term"       value="" />               <!--[선택]무이자 기간 -->
	<input type="hidden" id="sp_set_point_card_yn" name="sp_set_point_card_yn" value="" />               <!--[선택]카드사포인트 사용여부(Y/N)-->
	<input type="hidden" id="sp_point_card"        name="sp_point_card"        value="" />               <!--[선택]포인트카드 LIST(카드코드-더할 할부개월) -->
	<input type="hidden" id="sp_join_cd"           name="sp_join_cd"           value="" />               <!--[선택]조인코드 -->
	                                                                                                          
	<!--가상계좌-->                                                                                      
	<input type="hidden" id="sp_vacct_bank"       name="sp_vacct_bank"         value="" />               <!--[선택]가상계좌 사용가능한 은행 LIST -->
	<input type="hidden" id="sp_vacct_end_date"   name="sp_vacct_end_date"     value="" />               <!--[선택]입금 만료 날짜 -->
	<input type="hidden" id="sp_vacct_end_time"   name="sp_vacct_end_time"     value="" />               <!--[선택]입금 만료 시간 -->
	                                                                                                     
	<!--선불카드-->                                                                                      
	<input type="hidden" id="sp_prepaid_cp"       name="sp_prepaid_cp"         value="" />               <!--[선택]선불카드 CP -->
	                        
	<!-- [END] 인증요청 필드  --> 
	
	<!-- [START] 인증응답 필드 -->     
	
	<!--------------------------->
	<!-- ::: 공통 응답 값 -->
	<!--------------------------->
	<input type="hidden" id="sp_res_cd"              name="sp_res_cd"                value="" />         <!-- [필수]응답코드        --> 
	<input type="hidden" id="sp_res_msg"             name="sp_res_msg"               value="" />         <!-- [필수]응답메시지      --> 
	<input type="hidden" id="sp_tr_cd"               name="sp_tr_cd"                 value="" />         <!-- [필수]결제창 요청구분 --> 
	<input type="hidden" id="sp_ret_pay_type"        name="sp_ret_pay_type"          value="" />         <!-- [필수]결제수단        --> 
	<input type="hidden" id="sp_trace_no"            name="sp_trace_no"              value="" />         <!-- [선택]추적번호        --> 
	<!-- 가맹점 주문번호 인증요청 필드에 존재.                                                                [필수]가맹점 주문번호 --> 
	<input type="hidden" id="sp_sessionkey"          name="sp_sessionkey"            value="" />         <!-- [필수]세션키          --> 
	<input type="hidden" id="sp_encrypt_data"        name="sp_encrypt_data"          value="" />         <!-- [필수]암호화전문      --> 
	<!-- 가맹점 ID  인증요청 필드에 존재.                                                                 [필수]가맹점 ID       -->
	<input type="hidden" id="sp_mobilereserved1"     name="sp_mobilereserved1"       value="" />         <!-- [선택]여유필드        --> 
	<input type="hidden" id="sp_mobilereserved2"     name="sp_mobilereserved2"       value="" />         <!-- [선택]여유필드        --> 
	<input type="hidden" id="sp_reserved1"           name="sp_reserved1"             value="" />         <!-- [선택]여유필드        --> 
	<input type="hidden" id="sp_reserved2"           name="sp_reserved2"             value="" />         <!-- [선택]여유필드        --> 
	<input type="hidden" id="sp_reserved3"           name="sp_reserved3"             value="" />         <!-- [선택]여유필드        --> 
	<input type="hidden" id="sp_reserved4"           name="sp_reserved4"             value="" />         <!-- [선택]여유필드        --> 
	
	<!--신용카드-->                                                                                                                        
	<input type="hidden" id="sp_card_code"            name="sp_card_code"            value="" />         <!-- [필수]카드코드               -->
	<input type="hidden" id="sp_eci_code"             name="sp_eci_code"             value="" />         <!-- [선택]ECI코드(MPI인 경우)    -->
	<input type="hidden" id="sp_card_req_type"        name="sp_card_req_type"        value="" />         <!-- [필수]거래구분               -->
	<input type="hidden" id="sp_save_useyn"           name="sp_save_useyn"           value="" />         <!-- [선택]카드사 세이브 여부     -->
	<input type="hidden" id="sp_card_prefix"          name="sp_card_prefix"          value="" />         <!-- [선택]신용카드 Prefix        -->
	<input type="hidden" id="sp_card_no_7"            name="sp_card_no_7"            value="" />         <!-- [선택]신용카드번호 앞7자리   -->
	
	<!--간편결제-->
	<input type="hidden" id="sp_spay_cp"              name="sp_spay_cp"              value="" />          <!-- [선택]간편결제 CP코드 -->
	                                                                                                    
	<!--선불카드-->                                                                                     
	<input type="hidden" id="sp_prepaid_cp"           name="sp_prepaid_cp"           value="" />          <!-- [선택]선불카드 CP코드 -->
	   
	<!-- [END] 인증응답 필드  --> 
	<!-- // MOBILE END -->
	</form>
</body>

<script type="text/javascript">
//페이지가 로드되면 실행한다.
$(document).ready( function() {
	
	if (isMobile() || window.innerWidth < 1201 ) {
		f_mobile_cert();
	} else {
	    f_cert();
	}
	
});

/* 인증창 호출, 인증 요청 */
function f_cert() {
    var frm_pay = document.frm_pay;
    
    /*  주문정보 확인 */
    if( !frm_pay.EP_order_no.value ) {
        alert("가맹점주문번호가 존재하지않습니다.");
        frm_pay.EP_order_no.focus();
        return;
    }

    if( !frm_pay.EP_product_amt.value ) {
        alert("상품금액이 존재하지않습니다.");
        frm_pay.EP_product_amt.focus();
        return;
    } 

    /* UTF-8 사용가맹점의 경우 EP_charset 값 셋팅 필수 */
    if( frm_pay.EP_charset.value == "UTF-8" ) {
        // 한글이 들어가는 값은 모두 encoding 필수.
        frm_pay.EP_mall_nm.value        = encodeURIComponent( frm_pay.EP_mall_nm.value );
        frm_pay.EP_product_nm.value     = encodeURIComponent( frm_pay.EP_product_nm.value );
        frm_pay.EP_user_nm.value        = encodeURIComponent( frm_pay.EP_user_nm.value );
        frm_pay.EP_user_addr.value      = encodeURIComponent( frm_pay.EP_user_addr.value );
    }


    /* 가맹점에서 원하는 인증창 호출 방법을 선택 */
    if( frm_pay.EP_window_type.value == "iframe" ) {
        
    	easypay_webpay(frm_pay,"${contextPath}/easypay/oqpo/oqpo_iframe_req.jsp","hiddenifr","0","0","iframe",30);

        if( frm_pay.EP_charset.value == "UTF-8" ) {
            // encoding 된 값은 모두 decoding 필수.
            frm_pay.EP_mall_nm.value        = decodeURIComponent( frm_pay.EP_mall_nm.value );
            frm_pay.EP_product_nm.value     = decodeURIComponent( frm_pay.EP_product_nm.value );
            frm_pay.EP_user_nm.value        = decodeURIComponent( frm_pay.EP_user_nm.value );
            frm_pay.EP_user_addr.value      = decodeURIComponent( frm_pay.EP_user_addr.value );
        }
    } else if( frm_pay.EP_window_type.value == "popup" ) {
    	
        easypay_webpay(frm_pay,"${contextPath}/easypay/oqpo/oqpo_popup_req.jsp","hiddenifr","","","popup",30);

        if( frm_pay.EP_charset.value == "UTF-8" ) {
            // encoding 된 값은 모두 decoding 필수.
            frm_pay.EP_mall_nm.value        = decodeURIComponent( frm_pay.EP_mall_nm.value );
            frm_pay.EP_product_nm.value     = decodeURIComponent( frm_pay.EP_product_nm.value );
            frm_pay.EP_user_nm.value        = decodeURIComponent( frm_pay.EP_user_nm.value );
            frm_pay.EP_user_addr.value      = decodeURIComponent( frm_pay.EP_user_addr.value );
        }
    }
}

/* 인증창 호출, 인증 요청 */
function f_mobile_cert() {
    var frm_pay = document.frm_pay;
    
    /*  주문정보 확인 */
    if( !frm_pay.sp_order_no.value ) {
        alert("가맹점주문번호가 존재하지않습니다.");
        frm_pay.sp_order_no.focus();
        return;
    }

    if( !frm_pay.sp_product_amt.value ) {
        alert("상품금액이 존재하지않습니다.");
        frm_pay.sp_product_amt.focus();
        return;
    }
    /* UTF-8 사용가맹점의 경우 EP_charset 값 셋팅 필수 */
    if( frm_pay.sp_charset.value == "UTF-8" ) {
        // 한글이 들어가는 값은 모두 encoding 필수.
        frm_pay.sp_mall_nm.value      = encodeURIComponent( frm_pay.sp_mall_nm.value );
        frm_pay.sp_product_nm.value   = encodeURIComponent( frm_pay.sp_product_nm.value );
        frm_pay.sp_user_nm.value      = encodeURIComponent( frm_pay.sp_user_nm.value );
        frm_pay.sp_user_addr.value    = encodeURIComponent( frm_pay.sp_user_addr.value );
    }

   	frm_pay.sp_return_url.value = "${contextPath}/easypay/oqpo/mobile_order_res_submit.jsp"; //    	
    easypay_card_webpay(frm_pay,"${contextPath}/easypay/oqpo/mobile_order_req.jsp","_self","0","0","submit",30);    
}

function f_submit() {
    var frm_pay = document.frm_pay;

    frm_pay.target = "_self";
    frm_pay.action = "${contextPath}/easypay_request.itp";
	// frm_pay.submit();
    
    var param = $('#frm_pay').serializeObject();
	sNet.call({
		url		 : '<c:url value="/easypay_request.itp" />',
		param	 : param,
		dataType : 'html',
		isBlock  : true,
		success	 : function(result){
			$('.innerHtmlDiv').html(result);
		}
	});    
}

/* 승인 요청 */
function f_moblie_submit() {
     var frm_pay = document.frm_pay;
     
     // 정상("0000") 일 때 승인요청페이지로 이동.
     if( frm_pay.sp_res_cd.value == "0000" ) {
    	 
         if( frm_pay.sp_charset.value == "UTF-8" ) {
             // 인증요청 시 인코딩 한 값은 승인요청 시 디코딩 처리해야함.
             frm_pay.sp_mall_nm.value      = decodeURIComponent( frm_pay.sp_mall_nm.value );
             frm_pay.sp_product_nm.value   = decodeURIComponent( frm_pay.sp_product_nm.value );
             frm_pay.sp_user_nm.value      = decodeURIComponent( frm_pay.sp_user_nm.value );
             frm_pay.sp_user_addr.value    = decodeURIComponent( frm_pay.sp_user_addr.value );
         }
         
         frm_pay.target = "_self";
         frm_pay.action = "${contextPath}/easypay_request.itp";
         frm_pay.submit();
     }
}

function isMobile() {
    // if we want a more complete list use this: http://detectmobilebrowsers.com/
    // str.test() is more efficent than str.match()
    // remember str.test is case sensitive
    var isMobile = (/iphone|ipod|android|ie|blackberry|fennec/).test(navigator.userAgent.toLowerCase());

    return isMobile;
}
</script>
</html>