const ITP_MSG_LOCALE = (function() {
	var data = {
		"language": {
			"ko": "한국어"
		},
		"title": {
			"browser": "운영시스템",
			"author": "수발주시스템",
			"findPassword": "비밀번호찾기",
			"alert": "알림",
			"userInfo": "사용자정보",
			"summary": "메인",
			"codeList": "코드목록",
			"codeInfo": "코드정보",
			"menuList": "메뉴목록",
			"menuInfo": "메뉴정보",
			"actionInfo": "액션정보",
			"permitList": "권한목록",
			"permitInfo": "권한정보",
			"permitSrh": "권한검색",
			"seqList": "채번목록",
			"seqInfo": "채번정보",
			"fileAdd": "파일첨부",
			"sysHistory": "작업현황",
			"ifHistory": "IF현황",
			"ifList": "IF목록",
			"ifInfo": "IF정보",
			"operationMng": "운영자 관리",
			"accountInfo": "계정 정보",
			"authInfo": "권한 정보",
			"storeSrh": "매장 검색",
			"storeInfo": "매장 정보",
			"addressFind": "주소 검색",
			"bunssInfo": "사업자 정보"
		},
		"label": {
			"sysAdmin": "시스템관리자",
			"id": "아이디",
			"password": "비밀번호",
			"saveId": "아이디저장",
			"email": "이메일",
			"userId": "사용자ID",
			"userName": "사용자명",
			"idEmail": "아이디(이메일)",
			"telephone": "전화번호",
			"confrimPassword": "비밀번호확인",
			"code": "코드",
			"codeType": "코드타입",
			"useYn": "사용여부",
			"codeNmKo": "코드명",
			"remark": "비고",
			"total": "전체",
			"selected": "선택",
			"search": "검색",
			"topMenuName": "상위메뉴명",
			"menuNumber": "메뉴번호",
			"menuNameKr": "메뉴명",
			"menuPath": "메뉴경로",
			"displayClas": "출력구분",
			"displaySeq": "출력순번",
			"accessUrl": "접속URL",
			"image": "이미지",
			"menuId": "메뉴아이디",
			"actionType": "액션타입",
			"permitCd": "권한코드",
			"permitNameKr": "권한명",
			"permitType": "권한타입",
			"topMenu": "상위메뉴",
			"permitName": "권한명",
			"defLang": "정의어",
			"seqName": "채번명",
			"seqStartNo": "채번시작번호",
			"seqEndNo": "채번종료번호",
			"seqUseNo": "채번사용번호",
			"curSeqNo": "현재채번번호",
			"year": "년",
			"month": "월",
			"day": "일",
			"seqCd": "채번코드",
			"connHis": "접속일자",
			"menuTxt": "메뉴",
			"connResult": "전송결과",
			"userNameKr": "사용자명",
			"passwordNew": "새 비밀번호",
			"confrimPasswordNew": "새 비밀번호확인",
			"actionId": "액션ID",
			"actionName": "액션명",
			"actionUrl": "액션URL",
			"connDate": "전송일자",
			"resultDetail": "결과상세",
			"historyNo": "작업번호",
			"connTime": "접속시간",
			"connIp": "접속IP",
			"codeDtl": "상세코드",
			"orderNo": "순번",
			"subMenu": "하위메뉴",
			"menuName": "메뉴명",
			"menuDetail": "상세메뉴명",
			"readPermit": "읽기권한",
			"writePermit": "쓰기권한",
			"icon": "아이콘",
			"name": "이름",
			"telNo": "휴대폰 번호",
			"mngMenu": "관리 메뉴",
			"status": "상태",
			"statusDt": "상태일시",
			"numbering": "NO",
			"inputSelf": "직접입력",
			"active": "활성",
			"afflShopNm": "브랜드그룹",
			"brandId": "브랜드ID",
			"brandNm": "브랜드명",
			"brandTypeNm": "브랜드 타입",
			"storeId": "매장번호",
			"storeNm": "매장명",
			"bsnsRegNo": "사업자등록번호",
			"storeDvsn": "매장구분",
			"notiNo": "공지번호",
			"titlet": "제목",
			"targetNm": "대상구분",
			"viewDt": "노출일",
			"regDt": "등록일",
			"lastLogin": "마지막 로그인",
			"srhResult": "검색결과",
			"ordering": "노출순서",
			"ranking": "순위",
			"tot": "총",
			"pages": "페이지",
			"corpTypeNm": "기업형태",
			"stNm": "상태",
			"ownerNm": "대표자명",
			"rprstTelNo": "대표연락처",
			"joinDt": "가입일자",
			"sysRegDttm": "최초등록일",
			"spplyId": "공급업체번호",
			"spplyNm": "공급업체명",
			"spplyMgrNm": "담당자명",
			"position": "직위",
			"rprstEmal": "이메일",
			"rprstTelNo": "연락처",
			"rprstMblNo": "핸드폰번호",
			"assgnTaskNm": "담당업무",
			"itemId": "품목번호",
			"itemNm": "품목명",
			"itemTypeNm": "품목유형",
			"itemClassNm": "품목분류",
			"itemClassMgntNo": "품목분류관리번호",
			"podrPssblDvsnNm": "발주여부",
			"unit": "기본단위",
			"pchItemYn": "구매품목여부",
			"saleItemYn": "판매품목여부",
			"spplyIdNm": "공급업체명",
			"stddQty": "기준수량",
			"curr": "통화",
			"unitAmt": "단가",
			"contSttDt": "시작일",
			"contEndDt": "종료일",
			"leadTime": "리드타임 (Day)",
			"itemFilePath": "단가계약파일",
			"spplyItemId": "공급사품번",
			"sysRegDt": "계약생성일",
			"unitTargetCd": "대상여부",
			"itemCnt": "계약품목수",
			"spplyUnitAmt": "공급단가",
			"itemClassLevel1": "품목분류Level 1",
			"itemClassLevel2": "품목분류Level 2",
			"itemClassLevel3": "품목분류Level 3",
			"itemClassLevel4": "품목분류Level 4",
			"prnSeq": "출력순번",
			"writeYn": "쓰기여부",
			"pchReqQty":"요청수량",
			"pchReqAmt":"요청금액",
			"pchReqQty": "요청수량",
			"pchReqAmt": "요청금액",
			"unitGubun": "단가구분",
			"pchPodrUnqNo": "발주번호",
			"pchOdrStCd": "발주상태코드",
			"pchOdrStNm": "발주상태명",
			"podrDt": "발주일자",
			"dlvReqDt": "납품요청일",
			"whsId": "납품장소번호",
			"whsNm": "납품장소",
			"podrTotalAmt": "총 발주금액",
			"podrItemQty": "발주품목수",
			"podrMgrNm": "발주담당자",
            "pchPodrDtlNo": "발주항번",
            "podrQty": "발주수량",
            "dlvSttmtUnqNo": "납품번호",
            "dlvSttmtDtlNo": "납품항번",
            "dlvQty": "납품수량",
            "whsQty": "입고수량",
            "dlvSchDt": "납품예정일",
            "dlvCmpltDt": "납품완료일",
            "whsCnfmNm": "입고확인자",
            "dlvMgrNm": "납품자명",
            "dlvMgrTelNo": "납품자전화번호",
            "whsAmt": "입고금액",
            "pchReqNm": "구매요청명",
            "pchReqDt": "구매요청일",
            "pchReqItemQty": "요청품목수",
            "pchReqTotalAmt": "요청금액",
            "pchReqRjctDt": "반려일자",
            "pchReqRjctNm": "반려자",
            "pchReqMgrNm": "요청자명",
            "whsLocationNm": "납품창고",
            "pchReqStNm": "요청상태명",
            "pchReqUnqNo": "구매요청번호",
            "viewNm": "신규여부",
			"podrAmt": "발주금액",
			"pchReqNm": "구매요청명",
			"pchReqDt": "구매요청일",
			"pchReqItemQty": "요청품목수",
			"pchReqTotalAmt": "요청금액",
			"pchReqRjctDt": "반려일자",
			"pchReqRjctNm": "반려자",
			"pchReqMgrNm": "요청자명",
			"whsLocationNm": "납품창고",
			"pchReqStNm": "요청상태명",
			"pchReqUnqNo": "구매요청번호",
			"viewNm": "신규여부",
			"pchOrdAmt": "발주금액",
			"pchOrdSpplyAmt": "본사납품금액",
			"locationNm": "입고처",
			"whsPassQty": "출고가능수량",
			"podrDtlStCd": "발주상세상태",
			"shmtReqUnqNo": "출하지시번호",
			"shmtReqStCd": "출하상태코드",
			"shmtQty": "출하수량",
			"shmtAmt": "출하금액",
			"whsDt": "입고일",
			"pchReqDtlStNm": "요청상세상태",
			"dlvDvsnNm": "배송구분",
			"stckQty": "현 재고",
			"expryYn": "유통기한여부",
			"expryDate": "유통기한일자",
			"shmtWhsNm": "출하창고명",
			"selChk": "대상선택",
			"rtnPodrUnqNo": "반품발주번호",
			"rtnOdrStCd": "반품발주상태코드",
			"rtnOdrStNm": "반품발주상태명",
			"rtnOdrRegDt": "반품발주일자",
			"colReqDt": "수거요청일",
			"rtnWhsNm": "수거장소",
			"rtnDodrTotalAmt": "총 수거금액",
			"rtnDodrItemQty": "수거품목수",
			"rtnMgrNm": "수거 담당자",
			"rtnPodrDtlNo": "반품발주항번",
			"rtnReqQty": "반품수량",
			"rtnAmt": "반품금액",
			"colPickUnqNo": "수거서번호",
			"pickStCd": "수거서상태코드",
			"pickStNm": "수거서상태",
			"colRegDt": "수거일자",
			"colSchDt": "수거예정일",
			"colReqQty": "수거수량",
			"rtnRsnDvsn": "반품사유구문코드",
			"rtnRsnDvsnNm": "반품사유구분",
			"colReqAmt": "수거금액",
			"pickMgrNm": "수거담당자",
			"pickMgrTelNo": "수거담당자연락처",
			"rtnOdrQty": "반품발주수량",
			"colQty": "수거수량",
			"colCmdUnqNo": "수거지시번호",
			"colCmdDtlNo": "수거지시항번",
			"colCmdDtlStCd": "수거상태",
			"rtnQty" : "반품수량",
			"colAmt" : "수거금액",
			"colDt" : "수거일자",
			"colCnfmNm": "수거담당자",
			"loanMgntUnqNo": "여신관리고유번호",
			"loanRegDt": "발행일자",
			"loanRegTm": "발행시간",
			"dpstPayDvsn": "입지구분코드",
			"dpstPayDvsnNm": "입지구분",
			"mediaDvsn": "매체구분코드",
			"mediaDvsnNm": "매체구분",
			"dpstAmt": "입금",
			"paymAmt": "지급",
			"trscBfBal": "거래 전 잔액",
			"trscAfBal": "거래 후 잔액",
			"authTpNm": "권한",
			"rtnRsn": "반품사유"
		},
		"table": {
			"brandId": "브랜드ID",
			"brandNm": "브랜드명",
		},
		"link": {
			"forgotPassword": "비밀번호찾기"
		},
		"text": {
			"copyright": "COPYRIGHT © ORDERQUEEN Co., Ltd. ALL RIGHTS RESERVED",
			"changePassword": "비밀번호 변경을 해주세요.",
			"chrome": "본 시스템은 크롬 브라우저에 최적화 되어 있습니다."
		},
		"button": {
			"login": "로그인",
			"logout": "로그아웃",
			"confirm": "확인",
			"cancel": "취소",
			"find": "찾기",
			"save": "저장",
			"new": "신규",
			"delete": "삭제",
			"addRow": "행추가",
			"delRow": "행삭제",
			"addLowLvl": "하위레벨추가",
			"material": "자재",
			"select": "선택",
			"inquiry": "조회",
			"applyAll": "동일적용",
			"orderWork": "작업지시",
			"cancelWork": "작업취소",
			"print": "인쇄",
			"add": "추가",
			"addFile": "파일첨부",
			"editFile": "파일수정",
			"delFile": "파일삭제",
			"startUpload": "업로드시작",
			"cancelUpload": "업로드취소",
			"download": "다운로드",
			"excelDown": "엑셀다운로드",
			"addTopLvl": "상위레벨추가",
			"excelUp": "엑셀업로드",
			"register": "등록",
			"downForm": "양식다운로드",
			"applySelct": "선택영역적용",
			"processing": "처리",
			"printOut": "출력",
			"applyOne": "일괄적용",
			"transfer": "이동지시",
			"addItem": "품목추가",
			"shipOrder": "출하지시",
			"publish": "발행",
			"wareProcess": "입고처리",
			"transMate": "자재이동지시",
			"viewItem": "품목정보보기",
			"relay": "전송",
			"releaseProc": "출고처리",
			"uploadForm": "올리기",
			"closePop": "닫기"
		},
		"message": {
			"ajax": {
				"failPage": "화면을 불러오는데 실패하였습니다.",
				"failData": "데이터를 불러오는데 실패하였습니다.",
				"failProcess": "데이터 처리중 오류가 발생하였습니다.",
				"successData": "성공적으로 저장 하였습니다.",
				"deletedData": "성공적으로 삭제 하였습니다.",
				"cancelData": "작업중인 내용을 취소하시고<br>조회하시겠습니까?",
				"noData": "선택된 데이터가 없습니다.",
				"resetData": "기존에 입력했던 데이터가 사라집니다. 수정하시겠습니까?",
				"noSingleData": "하나 이상 선택할 수 없습니다.",
				"askResetPw": "회원 비밀번호를 초기화<br>하시겠습니까?",
				"resetPw": "회원 비밀번호가<br>초기화 되었습니다.",
				"resetUserPw": "사용자 비밀번호가<br>초기화 되었습니다.",
				"askResetUserPw": "사용자 비밀번호를 초기화<br>하시겠습니까?",
				"batchExecute": "배치를 실행하시겠습니까?",
				"alreadyStore": "이미 등록된 매장 입니다.",
				"noXypos": "선택한 주소의 좌표값이 없습니다.",
				"noLoc": "노출 위치를 선택해주세요.",
				"cancelPay": "성공적으로 결제를 취소 하였습니다.",
				"deletFaq": "TOP5에서도 함께 제거됩니다.<br>삭제 하시겠습니까?",
				"tmpSave": "임시저장 하시겠습니까?",
				"reqSave": "구매요청 하시겠습니까?",
                "lackReqAmt": "구매한도가 부족합니다.",
                "diffWrite": "수정은 작성자만 가능합니다.",
                "notWrite": "수정할 수 없는 상태입니다.",
				"delAllItem": "공급업체 변경 또는 삭제시  품목까지 삭제 처리되어집니다. 공급업체 삭제 하시겠습니까?"
			},
			"login": {
				"help": "아이디와 비밀번호를 입력하세요.",
				"fail": "로그인 할 수 없습니다. 관리자에게 문의해주세요.",
				"needId": "아이디를 입력하세요.",
				"needPw": "비밀번호를 입력하세요."
			},
			"form": {
				"mandatory": "필수항목입니다.",
				"onlynumber": "숫자만 입력하세요.",
				"wronguserid": "5~12자 / 영문 소문자, 숫자 이어야 합니다.",
				"wronguserid2": "영문 소문자, 숫자 이어야 합니다.",
				"wrongtelnumber": "잘못된 전화번호입니다. 숫자, - 를 포함한 숫자만 입력하세요.",
				"wrongemail": "잘못된 이메일 형식입니다.",
				"wronglink": "잘못된 URL 형식입니다.",
				"wrongpassword": "영문, 숫자, 특수문자의 조합으로 8~16자리를 사용해야 합니다.",
				"duplicate": "{0} 중복체크를 해주세요.",
				"deleteData": "삭제 하시겠습니까?",
				"procData": "처리 하시겠습니까?",
				"wrongPwd": "비밀번호가 일치하지 않습니다.",
				"selectDt": "날짜를 선택하세요.",
				"onlyImage": "jpg, jpeg 파일만 선택해 주세요.",
				"onlyImage2": "jpg, jpeg, png 파일만 선택해 주세요.",
				"noImageSize": "이미지 해상도를 확인해 주세요.",
				"noTime": "선택된 요일의 시간을<br>설정해주세요.",
				"alreadyArea": "이미 선택된 지역입니다.",
				"needAll": "모든 항목을 입력해주세요.",
				"orderAbove": "주문시 선택 가능 수는 {0}개 이상 설정할 수 없습니다.",
				"selCancelWhy": "취소 사유를 선택해주세요",
				"writeCancelWhy": "취소 사유를 입력해주세요",
				"cancelPay": "취소 후 복구할 수 없습니다.<br>결제를 취소 할까요?",
				"needReply": "답변 여부를 선택해주세요.",
				"excpReply": "답변 제외로 처리됩니다.",
				"regReply": "답변을 등록 할까요?",
				"needReple": "답변 내용을 입력해주세요.",
				"excelWarn": "엑셀이 다 받아질 때까지 기다려 주세요.",
				"emptyAddr": "주소 검색을 통해 회사 주소를 입력하세요."
			},
			"grid": {
				"noData": "등록된 게시물이 없습니다.",
				"noSrh": "검색 결과가 없습니다.",
				"noStore": "연결된 매장이 없습니다.",
				"noOrder": "주문이 발생한 매장이 없습니다.",
				"noOrderSt": "발생된 주문이 없습니다."
			},
			"page": {
				"noMoreTab": "더는 탭을 열 수 없습니다.",
				"noChoiceBrand": "브랜드 선택 후 이용 바랍니다.",
				"noBack": "뒤로 가기 버튼을 이용할 수 없습니다.",
				"allowPop": "이 웹 사이트에 대한 팝업을<br>허용하십시오."
			},
			"duplicate": {
				"no": "사용 가능한 {0} 입니다.",
				"yes": "사용 할 수 없는 {0} 입니다.",
				"ex": "이미 선택된 {0} 입니다.",
				"noId": "사용 가능한 아이디",
				"yesId": "사용 할 수 없는 아이디",
				"yesIdTxt": "사용 할 수 없는 아이디 입니다."
			},
			"menu": {
				"existDepth": "하위메뉴가 존재합니다."
			},
			"dc": {
				"existMenu": "이미 등록돼 있는 메뉴입니다.",
				"existReg": "단일↔구성별 메뉴 변경 불가<br>(사유:할인 또는 추천메뉴로 등록됨)",
				"existDel": "삭제 불가<br>(사유:할인 또는 추천메뉴로 등록됨)"
			},
			"upload": {
				"successUpload": "성공적으로 업로드 하였습니다.",
				"failUpload": "업로드에 실패하였습니다.",
				"fileCnt": "개 까지 파일만 업로드 할수 있습니다.",
				"fileType": "지원하는 파일형식이 아닙니다.",
				"fileSize": "를 초과하였습니다.",
				"fileQuene": "대기열에 이미 있습니다.",
				"fileDelete": "삭제에 실패하였습니다.",
				"fileNeed": "첨부파일을 추가해 주세요.",
				"fileDownload": "다운로드에 실패했습니다.",
				"deleteFile": "기존 파일을 삭제해주세요.",
				"overSize": "첨부파일 용량을 초과하였습니다.<br>(최대 20MB)"
			},
			"error": {
				"sorry": "죄송합니다.",
				"noPage": "요청하신 페이지를 찾을 수 없습니다..",
				"notFound": "방문하시려는 페이지의 주소가 잘못 입력되었거나, 페이지의 주소가<br>변경 혹은 삭제되어 요청하신 페이지를 찾을 수 없습니다.<br>입력하신 주소가 정확한지 다시 한번 확인해 주시기 바랍니다.",
				"thanks": "감사합니다.",
				"backHome": "메인페이지 이동"
			},
			"batch": {
				"runMmSet": "월 가동시간정보를 설정하세요.", 
				"runDdSet": "일 가동시간정보를 설정하세요.",
				"runHhSet": "시 가동시간정보를 설정하세요.", 
				"runMiSet": "분 가동시간정보를 설정하세요.",
				"runSsSet": "초 가동시간정보를 설정하세요."
			}, 
			"sms": {
				"resetPwd": "고객님의 비밀번호가 요청에 의해 초기화 되었습니다. 비밀번호는 {0} 입니다."
			}
		}
	};

	return {
		language: data.language,
		title: data.title,
		label: data.label,
		table: data.table,
		link: data.link,
		text: data.text,
		button: data.button,
		message: data.message
	};
}());